package com.ruoyi.shipping.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.shipping.domain.TCntrno;

/**
 * 集装箱号Service接口
 * 
 * @author ruoyi
 * @date 2021-03-22
 */
public interface ITCntrnoService 
{
    /**
     * 查询集装箱号
     * 
     * @param fId 集装箱号ID
     * @return 集装箱号
     */
    public TCntrno selectTCntrnoById(Long fId);

    /**
     * 查询集装箱号列表
     * 
     * @param tCntrno 集装箱号
     * @return 集装箱号集合
     */
    public List<TCntrno> selectTCntrnoList(TCntrno tCntrno);

    /**
     * 新增集装箱号
     * 
     * @param tCntrno 集装箱号
     * @return 结果
     */
    public int insertTCntrno(TCntrno tCntrno);

    /**
     * 修改集装箱号
     * 
     * @param tCntrno 集装箱号
     * @return 结果
     */
    public int updateTCntrno(List<TCntrno> tCntrno);
    /**
     * 修改集装箱号
     *
     * @param tCntrno 集装箱号
     * @return 结果
     */
    public int updateTCntrnoMessage(TCntrno tCntrno);

    /**
     * 批量删除集装箱号
     * 
     * @param fIds 需要删除的集装箱号ID
     * @return 结果
     */
    public int deleteTCntrnoByIds(Long[] fIds);

    /**
     * 删除集装箱号信息
     * 
     * @param fId 集装箱号ID
     * @return 结果
     */
    public int deleteTCntrnoById(Long fId);
    /**
     * 批量更新数据状态将正常状态改为停用
     * @param fIds
     * @return
     */
    public int updateTcntrnoStatus(Long[] fIds);
    /**
     * 查询集装箱信息
     * @param tCntrno
     * @return
     */
    public List<TCntrno> selectTcntrnoMessage(TCntrno tCntrno);

    /**
     * 获取集装箱信息
     * @param tCntrno
     * @return
     */
    public List<Map<String, Object>> getTCntrnoMessage(TCntrno tCntrno);
    /**
     * 获取集装箱分布信息
     * @param tCntrno
     * @return
     */
    public List<TCntrno> getTCntrnoDistribute(TCntrno tCntrno);

    /**
     * 获取集装箱动态分布标签
     * @param tCntrno
     * @return
     */
    public List<String> getTCntrnoChange(TCntrno tCntrno);
    /**
     * 查询编号唯一性
     * @param tCntrno
     * @return
     */
    public String selectTCntrnoFNo(TCntrno tCntrno);
}
